Bug 76198 - NFS locking fails to work?
Summary: NFS locking fails to work?
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Stephen Tweedie
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-18 02:03 UTC by Aleksey Nogin
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-21 19:32:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Aleksey Nogin 2002-10-18 02:03:07 UTC
Strace (client) shows:

fcntl64(3, F_SETLK, {type=F_RDLCK, whence=SEEK_SET, start=0, len=0}) = -1 ENOLCK
(No locks available)

dmesg (client) shows:

nsm_mon_unmon: rpc failed, status=-13
lockd: cannot monitor xxx.xxx.xxx.xxx
lockd: failed to monitor xxx.xxx.xxx.xxx

repeated many times (where xxx.xxx.xxx.xxx is the server's IP).

Client: Red Hat 8.0, 2.4.18-14smp
Server: Red Hat 7.2, fully updated (2.4.18-17.7.xsmp)

Comment 1 Stephen Tweedie 2002-10-21 12:35:40 UTC
First, could you please check your reverse DNS?  ie. on the client, do

  dig -x xxx.xxx.xxx.xxx (where xxx.xxx.xxx.xxx is the server's IP).

If the DNS lookup fails, rpc.statd will refuse to monitor the requested host.

Comment 2 Aleksey Nogin 2002-10-21 17:18:03 UTC
Just checked, the reverse DNS is OK.

Comment 3 Stephen Tweedie 2002-10-21 19:32:26 UTC
Is it working in both directions (ie. server can resolve the client, too?)  Do
you have the "nfslock" service running on both client and server?  (Look for a
running process named "rpc.statd)

Comment 4 Aleksey Nogin 2002-10-21 23:16:56 UTC
Are, you are right - statd was not running on the client. And it's my fault - I
made too much read-only and it didn't have write access to /var/lib/nfs/statd. 
Sorry about that.


Note You need to log in before you can comment on or make changes to this bug.